### Коммерческое предложение

**Тема:** Разработка веб-конструктора для самостоятельного формирования заявления о признании банкротства через суд

**Целевая аудитория:** Физические лица с задолженностью от 500 000 рублей, желающие самостоятельно оформить заявление о банкротстве.

**Основные функции:**
1. **Многошаговая форма:** 28 шагов, каждый из которых содержит 10-20 полей.
2. **Регистрация и авторизация:** По номеру телефона с возможностью продолжения заполнения формы на другом устройстве или после закрытия окна.
3. **Генерация PDF:** Выгрузка итогового документа в формате PDF только после оплаты.

**Технологии:**
- **Frontend:** JavaScript, Vue.js
- **Backend:** Node.js (Express), MongoDB (для хранения данных пользователей и их прогресса)
- **PDF генерация:** Использование библиотеки, например, `pdf-lib` или `jsPDF`

**Стоимость и сроки:**
- **Трудозатраты:** Около 200 часов
- **Стоимость:** 600 000 рублей (100 часов * 3000 рублей/час)
- **Сроки:** Около 5 недель (при условии работы 40 часов в неделю)

### Краткое ТЗ

**Цель проекта:** Создание веб-конструктора для самостоятельного формирования заявления о признании банкротства через суд.

**Основные требования:**
1. **Многошаговая форма:** 28 шагов, каждый шаг содержит 10-20 полей. Описание и содержание шагов предоставлены в виде excel документа.
2. **Валидация:** Проведение валидации введённых данных по указанным правилам. Подключение возможных общедоступных справочников.
2. **Регистрация и авторизация:** По номеру телефона с возможностью сохранения прогресса и продолжения заполнения на другом устройстве.
3. **Генерация PDF:** Возможность выгрузки итогового документа в формате PDF только после оплаты.
4. **Интеграция платежной системы:** Для обработки оплаты перед генерацией PDF.

**Технические требования:**
- **Frontend:** Vue.js, JavaScript
- **Backend:** Node.js, Express, MongoDB
- **PDF генерация:** Использование библиотеки `pdf-lib` или `jsPDF`

### Бриф для встречи

**Цель встречи:** Обсуждение деталей проекта, уточнение требований и согласование сроков и стоимости.

**Вопросы для обсуждения:**
1. **Функциональность:**
   - Вопросы по предоставленной форме
   - Нужна ли валидация данных на стороне клиента и сервера?
   - Какие данные должны сохраняться для продолжения заполнения формы?
   - Возможность самостоятельного редактирования формы, его формат, необходимость, объёмы. Влияние на стоимость.

2. **Дизайн и UX:**
   - Какие требования к дизайну интерфейса? Примеры.
   - Нужны ли анимации или интерактивные элементы?

3. **Безопасность:**
   - Какие меры безопасности должны быть реализованы (например, защита данных пользователей)?
   - Нужна ли двухфакторная авторизация? СМС, почта.

4. **Интеграции:**
   - Какая платежная система будет использоваться?
   - Нужна ли интеграция с другими сервисами (например, отправка уведомлений по SMS или email)?

5. **Сроки и бюджет:**
   - Уточнение сроков реализации.
   - Обсуждение бюджета и возможных корректировок.

**Предполагаемая схема приложения:**
1. **Frontend:**
   - Многошаговая форма на Vue.js.
   - Валидация данных на стороне клиента.
   - Интеграция с API для сохранения прогресса и генерации PDF.

2. **Backend:**
   - API на Node.js и Express.
   - Хранение данных пользователей и их прогресса в MongoDB.
   - Генерация PDF с использованием библиотеки `pdf-lib` или `jsPDF`.
   - Интеграция с платежной системой.

3. **База данных:**
   - MongoDB для хранения данных пользователей и их прогресса.

**Трудозатраты:**
- **Frontend:** 80 часов
- **Backend:** 100 часов
- **Тестирование и отладка:** 20 часов

**Итого:** 200 часов * 3000 рублей/час = 600 000 рублей

**Сроки:** Около 5 недель (при условии работы 40 часов в неделю)

